<?xml version="1.0"?>
<launch>

   <arg name="rviz" default="true"/>


   <include file="$(find camera_intrinsics_calib)/launch/test_calib_apriltag.launch">
        <arg name="rviz" value="false"/>
   </include>

    <arg name="server" default="172.16.0.5"/>
    <include file="$(find robot_to_frame)/launch/calibrate.launch" >
        <arg name="sim" value="false"/>
        <arg name="yaml_param_file" value="apriltag_test"/>
        <arg name="output_tf_path" value="$(find robot_to_frame)/tf_transf"/>    
        <arg name="rviz" value="false"/>
    </include>

   <include file="$(find optitrack_to_robot)/launch/run.launch"/>


 <node if="$(arg rviz)" name="rviz" pkg="rviz"  type="rviz" args="-d $(find camera_intrinsics_calib)/rviz/check_calib.rviz"/> 



</launch>